<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link rel="stylesheet" href="../assets/css/userCreation.css">
  <link rel = "icon" href = "../assets/image/Manila Bay Thread Icon.png">

  <title>Customer Portal</title>
</head>
<body>
  
  <div class="header">
    <div>
      <img id="MBTCLogo" src="../assets/image/Manila Bay Threads Logo.png">
    </div>

    <div>
      <h2 style="font-weight: 900;">Create User Account</h2>
    </div>   

    <div class="userMenu">
      <span style="margin-right: 5px;">Welcome </span>
      <span id="userLoggedIn"></span>
      <img  style="margin-right: 5px;" src="../assets/image/icons8-user-64.png" class="userIcon" type="image">
      <a style="margin-right: 5px;" href="#" id="logoutButton">Log Out</a>
    </div>
  </div>

  <form id="userForm">
    
    <div class="mt-3 py-2" id="buttonContainer">
      <button style="width: 7rem; height: 2.5rem;" id="saveAndViewButton">Save & View</button>
      <button style="width: 6.5rem; height: 2.5rem;" id="saveAndNewButton">Save & New</button>
      <button style="width: 4rem; height: 2.5rem;" id="closeButton">Close</button>
    </div>

    <div class="formHeader d-flex py-2" style="background-color: #a9c6de;">
      <div class="col-md-4"></div>
      <div class="col-md-4 d-flex justify-content-center align-items-center "> 
        <h5 class="text-center pt-1" style="font-weight: 900;">User Account Information</h5>
      </div>
      <div class="col-md-4"></div>
    </div>

    <div class="container-fluid mt-4 px-5">

      <div class="row py-2 g-2">
        <div class="form-group d-flex">
          <div class="col-md-2 py-2 ps-5">
            <label for="employeeId" class="form-label">Employee ID:</label>
          </div>
          <div class="col-md-4 pe-5">
            <input type="text" class="form-control dataField" id="employeeId" name="employeeId">
          </div>
          <div class="col-md-2 py-2 ps-5">
            <label for="accountType" class="form-label">Account Type:</label>
          </div>
          <div class="col-md-4 pe-5">
            <select class="form-control dataField" id="accountType" name="accountType">
              <option value="" selected></option>
              <option value="Requestor">Requestor</option>
              <option value="Approver">Approver</option>
              <option value="Administrator">Administrator</option>
            </select>
          </div>
        </div>
      </div>

      <div class="row py-2 g-2">
        <div class="form-group d-flex">
          <div class="col-md-2 py-2 ps-5">
            <label for="firstName" class="form-label">First Name:</label>
          </div>
          <div class="col-md-4 pe-5">
            <input type="text" class="form-control dataField" id="firstName" name="firstName">
          </div>
          <div class="col-md-2 py-2 ps-5">
            <label for="lastName" class="form-label">Last Name:</label>
          </div>
          <div class="col-md-4 pe-5">
            <input type="text" class="form-control dataField" id="lastName" name="lastName">
          </div>
        </div>
      </div>

      <div class="row py-2 g-2">
        <div class="form-group d-flex">
          <div class="col-md-2 py-2 ps-5">
            <label for="username" class="form-label">Username:</label>
          </div>
          <div class="col-md-4 pe-5">
            <input type="text" class="form-control dataField" id="username" name="username">
          </div>
          <div class="col-md-2 py-2 ps-5">
            <label for="password" class="form-label">Password:</label>
          </div>
          <div class="col-md-4 pe-5">
            <input type="password" class="form-control dataField" id="password" name="password">
          </div>
        </div>
      </div>

      <div class="row py-2 g-2">
        <div class="form-group d-flex">
          <div class="col-md-2 py-2 ps-5">
            <label for="position" class="form-label">Position:</label>
          </div>
          <div class="col-md-4 pe-5">
            <select class="form-control dataField" id="position" name="position">
              <option value="" selected></option>
              <option value="Customer Service Assistant">Customer Service Assistant</option>
              <option value="Customer Service Supervisor">Customer Service Supervisor</option>
              <option value="Credit and Collection">Credit and Collection</option>
            </select>
          </div>
          <div class="col-md-2 py-2  ps-5">
            <label for="addOn" class="form-label">Add On:</label>
          </div>
          <div class="col-md-4 pe-5">
            <input type="text" class="form-control dataField" id="addOn" name="addOn" value="Sales Quote" disabled>
          </div>
        </div>
      </div>

    </div>  

  </form>

  <footer class="fixed-bottom footer">
    <a href="https://www.service101plus.com/"> <img id="imgsaplogo" src="../assets/image/Service101Plus Icon.png" style="height: 25px;">Copyright © 2021 All Rights Reserved | Service 101 plus Consulting Inc.</a>
  </footer>   

  <script src="../assets/js/userCreation.js"></script> 
  <script src="https://smtpjs.com/v3/smtp.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>       
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

</body>
</html>